#include "../../backend/support/logger.h"
#include "flex-actions.h"
#include <stdlib.h>

/**
 * Implementación de "flex-rules.h".
 */

TokenID IntegerPatternAction(const char * lexeme) {
    // LogDebug("IntegerPatternAction: '%s'.", lexeme);
    yylval = atoi(lexeme);
    return INTEGER;
}

TokenID DoublePatternAction(const char * lexeme) {
    // LogDebug("DoublePatternAction: '%s'.", lexeme);
    yylval = atof(lexeme);
    return DOUBLE;
}

TokenID StringPatternAction(const char * lexeme) {
    // LogDebug("StringPatternAction: '%s'.", lexeme);
    return ID;
}

TokenID EscapeStringPatternAction(const char * lexeme) {
    // LogDebug("EscapeStringPatternAction: '%s'.", lexeme);
    return ESCAPESTRING;
}

void IgnoredPatternAction(const char * lexeme) {
    // LogDebug("IgnoredPatternAction: '%s'.", lexeme);
}

TokenID UnknownPatternAction(const char * lexeme) {
    LogDebug("UnknownPatternAction: '%s'.", lexeme);
    return YYUNDEF;
}
